import request from '@/utils/request'

// 查询操作员操作记录列表
export function listOperatorRecord(query) {
  return request({
    url: '/system/operatorRecord/list',
    method: 'get',
    params: query
  })
}

// 查询操作员操作记录详细
export function getOperatorRecord(id) {
  return request({
    url: '/system/operatorRecord/' + id,
    method: 'get'
  })
}

// 新增操作员操作记录
export function addOperatorRecord(data) {
  return request({
    url: '/system/operatorRecord',
    method: 'post',
    data: data
  })
}

// 修改操作员操作记录
export function updateOperatorRecord(data) {
  return request({
    url: '/system/operatorRecord',
    method: 'put',
    data: data
  })
}

// 删除操作员操作记录
export function delOperatorRecord(id) {
  return request({
    url: '/system/operatorRecord/' + id,
    method: 'delete'
  })
}
